import {baseRequest} from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotGrain/` + url, ...arg)

/**
 * 粮库表Api接口管理器
 *
 * @author xiang
 * @date  2023/09/12 15:06
 **/
export default {
	// 获取粮库表分页
	depotGrainPage(data) {
		return request('page', data, 'get')
	},
	// 获取粮库表列表
	depotGrainList(data) {
		return request('lstBizGrep', data, 'get')
	},
	// 提交粮库表表单 edit为true时为编辑，默认为新增
	depotGrainSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 配置粮库表
	depotGrainSet(data) {
		return request('set', data)
	},
	// 删除粮库表
	depotGrainDelete(data) {
		return request('delete', data)
	},
	// 获取粮库表详情
	depotGrainDetail(data) {
		return request('detail', data, 'get')
	}
}
